Package org.lwjgl.opencl

# Class CL10GL

java.lang.Object
org.lwjgl.opencl.CL10GL

public final class CL10GL extends Object
The core OpenCL 1.0 OpenGL interrop functionality.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CL_GL_MIPMAP_LEVEL`
cl_gl_texture_info
`static final int`
`CL_GL_OBJECT_BUFFER`
cl_gl_object_type
`static final int`
`CL_GL_OBJECT_RENDERBUFFER`
cl_gl_object_type
`static final int`
`CL_GL_OBJECT_TEXTURE2D`
cl_gl_object_type
`static final int`
`CL_GL_OBJECT_TEXTURE3D`
cl_gl_object_type
`static final int`
`CL_GL_TEXTURE_TARGET`
cl_gl_texture_info

## Method Summary

Modifier and Type
Method
Description
`static CLMem`
`clCreateFromGLBuffer(CLContext context, long flags, int bufobj, IntBuffer errcode_ret)`
`static CLMem`
`clCreateFromGLRenderbuffer(CLContext context, long flags, int renderbuffer, IntBuffer errcode_ret)`
`static CLMem`
`clCreateFromGLTexture2D(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)`
`static CLMem`
`clCreateFromGLTexture3D(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)`
`static int`
`clEnqueueAcquireGLObjects(CLCommandQueue command_queue, CLMem mem_object, PointerBuffer event_wait_list, PointerBuffer event)`
Overloads clEnqueueAcquireGLObjects.
`static int`
`clEnqueueAcquireGLObjects(CLCommandQueue command_queue, PointerBuffer mem_objects, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clEnqueueReleaseGLObjects(CLCommandQueue command_queue, CLMem mem_object, PointerBuffer event_wait_list, PointerBuffer event)`
Overloads clEnqueueReleaseGLObjects.
`static int`
`clEnqueueReleaseGLObjects(CLCommandQueue command_queue, PointerBuffer mem_objects, PointerBuffer event_wait_list, PointerBuffer event)`
`static int`
`clGetGLObjectInfo(CLMem memobj, IntBuffer gl_object_type, IntBuffer gl_object_name)`
`static int`
`clGetGLTextureInfo(CLMem memobj, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CL_GL_OBJECT_BUFFER

public static final int CL_GL_OBJECT_BUFFER
cl_gl_object_type

See Also:
  - Constant Field Values

### CL_GL_OBJECT_TEXTURE2D

public static final int CL_GL_OBJECT_TEXTURE2D
cl_gl_object_type

See Also:
  - Constant Field Values

### CL_GL_OBJECT_TEXTURE3D

public static final int CL_GL_OBJECT_TEXTURE3D
cl_gl_object_type

See Also:
  - Constant Field Values

### CL_GL_OBJECT_RENDERBUFFER

public static final int CL_GL_OBJECT_RENDERBUFFER
cl_gl_object_type

See Also:
  - Constant Field Values

### CL_GL_TEXTURE_TARGET

public static final int CL_GL_TEXTURE_TARGET
cl_gl_texture_info

See Also:
  - Constant Field Values

### CL_GL_MIPMAP_LEVEL

public static final int CL_GL_MIPMAP_LEVEL
cl_gl_texture_info

See Also:
  - Constant Field Values

## Method Details

### clCreateFromGLBuffer

public static CLMem clCreateFromGLBuffer(CLContext context, long flags, int bufobj, IntBuffer errcode_ret)

### clCreateFromGLTexture2D

public static CLMem clCreateFromGLTexture2D(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)

### clCreateFromGLTexture3D

public static CLMem clCreateFromGLTexture3D(CLContext context, long flags, int target, int miplevel, int texture, IntBuffer errcode_ret)

### clCreateFromGLRenderbuffer

public static CLMem clCreateFromGLRenderbuffer(CLContext context, long flags, int renderbuffer, IntBuffer errcode_ret)

### clGetGLObjectInfo

public static int clGetGLObjectInfo(CLMem memobj, IntBuffer gl_object_type, IntBuffer gl_object_name)

### clGetGLTextureInfo

public static int clGetGLTextureInfo(CLMem memobj, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)

### clEnqueueAcquireGLObjects

public static int clEnqueueAcquireGLObjects(CLCommandQueue command_queue, PointerBuffer mem_objects, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueAcquireGLObjects

public static int clEnqueueAcquireGLObjects(CLCommandQueue command_queue, CLMem mem_object, PointerBuffer event_wait_list, PointerBuffer event)
Overloads clEnqueueAcquireGLObjects.

### clEnqueueReleaseGLObjects

public static int clEnqueueReleaseGLObjects(CLCommandQueue command_queue, PointerBuffer mem_objects, PointerBuffer event_wait_list, PointerBuffer event)

### clEnqueueReleaseGLObjects

public static int clEnqueueReleaseGLObjects(CLCommandQueue command_queue, CLMem mem_object, PointerBuffer event_wait_list, PointerBuffer event)
Overloads clEnqueueReleaseGLObjects.